diff -upr ioquake3svn1438/code/game/ai_team.c ioquake3serverFix/code/game/ai_team.c
--- ioquake3svn1438/code/game/ai_team.c	2008-06-22 03:28:44.000000000 -0500
+++ ioquake3serverFix/code/game/ai_team.c	2008-08-09 11:28:21.000000000 -0500
@@ -131,20 +131,20 @@ int BotSortTeamMatesByBaseTravelTime(bot
 	int traveltimes[MAX_CLIENTS];
 	bot_goal_t *goal = NULL;
 
-	if (gametype == GT_CTF || gametype == GT_1FCTF || gametype == GT_CTF_ELIMINATION) {
+	if (gametype == GT_CTF || gametype == GT_1FCTF) {
 		if (BotTeam(bs) == TEAM_RED)
 			goal = &ctf_redflag;
 		else
 			goal = &ctf_blueflag;
 	}
-//#ifdef MISSIONPACK
+#ifdef MISSIONPACK
 	else {
 		if (BotTeam(bs) == TEAM_RED)
 			goal = &redobelisk;
 		else
 			goal = &blueobelisk;
 	}
-//#endif
+#endif
 	if (!maxclients)
 		maxclients = trap_Cvar_VariableIntegerValue("sv_maxclients");
 
@@ -180,57 +180,6 @@ int BotSortTeamMatesByBaseTravelTime(bot
 
 /*
 ==================
-BotSortTeamMatesByReletiveTravelTime2ddA
-For Double Domination
-==================
-*/
-int BotSortTeamMatesByRelativeTravelTime2ddA(bot_state_t *bs, int *teammates, int maxteammates) {
-	int i, j, k, numteammates;
-	double traveltime, traveltime2b;
-	char buf[MAX_INFO_STRING];
-	static int maxclients;
-	double traveltimes[MAX_CLIENTS];
-	//int traveltimes2b[MAX_CLIENTS];
-	bot_goal_t *goalA = &ctf_redflag;
-	bot_goal_t *goalB = &ctf_blueflag;
-
-	if (!maxclients)
-		maxclients = trap_Cvar_VariableIntegerValue("sv_maxclients");
-
-	numteammates = 0;
-
-	for (i = 0; i < maxclients && i < MAX_CLIENTS; i++) {
-		trap_GetConfigstring(CS_PLAYERS+i, buf, sizeof(buf));
-		//if no config string or no name
-		if (!strlen(buf) || !strlen(Info_ValueForKey(buf, "n"))) continue;
-		//skip spectators
-		if (atoi(Info_ValueForKey(buf, "t")) == TEAM_SPECTATOR) continue;
-		if (BotSameTeam(bs, i)) {
-			traveltime = (double)BotClientTravelTimeToGoal(i, goalA);
-			traveltime2b = (double)BotClientTravelTimeToGoal(i, goalB);
-			traveltime = traveltime/traveltime2b;
-
-			for (j = 0; j < numteammates; j++) {
-				if (traveltime < traveltimes[j]) {
-					for (k = numteammates; k > j; k--) {
-						traveltimes[k] = traveltimes[k-1];
-						teammates[k] = teammates[k-1];
-					}
-					break;
-				}
-			}
-			traveltimes[j] = traveltime;
-			teammates[j] = i;
-			numteammates++;
-			if (numteammates >= maxteammates) break;
-		}
-	}
-
-	return numteammates;
-}
-
-/*
-==================
 BotSetTeamMateTaskPreference
 ==================
 */
@@ -499,26 +448,9 @@ void BotCTFOrders_FlagNotAtBase(bot_stat
 	int numteammates, defenders, attackers, i;
 	int teammates[MAX_CLIENTS];
 	char name[MAX_NETNAME];
-	qboolean weAreAttacking;
 
 	numteammates = BotSortTeamMatesByBaseTravelTime(bs, teammates, sizeof(teammates));
 	BotSortTeamMatesByTaskPreference(bs, teammates, numteammates);
-
-	weAreAttacking = qfalse;
-
-	//In oneway ctf we must all move out of the base (only one strategi, maybe we can also send some to the enemy base  to meet the flag carier?)
-	//We must be defending
-	if(g_elimination_ctf_oneway.integer > 0) {
-		for (i = 0; i < numteammates; i++) {
-			//
-			ClientName(teammates[i], name, sizeof(name));
-			BotAI_BotInitialChat(bs, "cmd_getflag", name, NULL);
-			BotSayTeamOrder(bs, teammates[i]);
-			BotSayVoiceTeamOrder(bs, teammates[i], VOICECHAT_GETFLAG);
-		}
-		return;
-	}
-
 	//passive strategy
 	if (!(bs->ctfstrategy & CTFS_AGRESSIVE)) {
 		//different orders based on the number of team mates
@@ -750,54 +682,6 @@ void BotCTFOrders_EnemyFlagNotAtBase(bot
 	}
 }
 
-/*
-==================
-BotDDorders
-==================
-*/
-
-void BotDDorders_Standard(bot_state_t *bs) {
-	int numteammates, i;
-	int teammates[MAX_CLIENTS];
-	char name[MAX_NETNAME];
-
-	//sort team mates by travel time to base
-	numteammates = BotSortTeamMatesByRelativeTravelTime2ddA(bs, teammates, sizeof(teammates));
-
-	switch(numteammates) {
-		case 1: break;
-		/*case 2: 
-		{
-			//the one closest to point A will take that
-			ClientName(teammates[0], name, sizeof(name));
-			BotAI_BotInitialChat(bs, "cmd_takea", name, NULL);
-			BotSayTeamOrder(bs, teammates[0]);
-			//BotSayVoiceTeamOrder(bs, teammates[0], VOICECHAT_TAKEA);
-			//the other goes for point B
-			ClientName(teammates[1], name, sizeof(name));
-			BotAI_BotInitialChat(bs, "cmd_takeb", name, NULL);
-			BotSayTeamOrder(bs, teammates[1]);
-			//BotSayVoiceTeamOrder(bs, teammates[1], VOICECHAT_TAKEB);
-			break;
-		}*/
-		default:
-		{
-			for(i=0;i<numteammates/2;i++) { //Half take point A
-				ClientName(teammates[i], name, sizeof(name));
-				BotAI_BotInitialChat(bs, "cmd_takea", name, NULL);
-				BotSayTeamOrder(bs, teammates[i]);
-				//BotSayVoiceTeamOrder(bs, teammates[0], VOICECHAT_TAKEA);
-			}
-			for(i=numteammates/2+1;i<numteammates;i++) { //Rest takes point B
-				ClientName(teammates[i], name, sizeof(name));
-				BotAI_BotInitialChat(bs, "cmd_takeb", name, NULL);
-				BotSayTeamOrder(bs, teammates[i]);
-				//BotSayVoiceTeamOrder(bs, teammates[0], VOICECHAT_TAKEB);
-			}
-			break;
-		}
-	}
-}
 
 /*
 ==================
@@ -808,40 +692,11 @@ void BotCTFOrders_BothFlagsAtBase(bot_st
 	int numteammates, defenders, attackers, i;
 	int teammates[MAX_CLIENTS];
 	char name[MAX_NETNAME];
-	qboolean weAreAttacking;
 
 	//sort team mates by travel time to base
 	numteammates = BotSortTeamMatesByBaseTravelTime(bs, teammates, sizeof(teammates));
 	//sort team mates by CTF preference
 	BotSortTeamMatesByTaskPreference(bs, teammates, numteammates);
-
-	weAreAttacking = qfalse;
-
-	if(g_elimination_ctf_oneway.integer > 0) {
-		//See if we are attacking:
-		if( ( (level.eliminationSides+level.roundNumber)%2 == 0 ) && (BotTeam(bs) == TEAM_RED))
-			weAreAttacking = qtrue;
-		
-		if(weAreAttacking) {
-			for (i = 0; i < numteammates; i++) {
-				//
-				ClientName(teammates[i], name, sizeof(name));
-				BotAI_BotInitialChat(bs, "cmd_getflag", name, NULL);
-				BotSayTeamOrder(bs, teammates[i]);
-				BotSayVoiceTeamOrder(bs, teammates[i], VOICECHAT_GETFLAG);
-			}
-		} else {
-			for (i = 0; i < numteammates; i++) {
-				//
-				ClientName(teammates[i], name, sizeof(name));
-				BotAI_BotInitialChat(bs, "cmd_defendbase", name, NULL);
-				BotSayTeamOrder(bs, teammates[i]);
-				BotSayVoiceTeamOrder(bs, teammates[i], VOICECHAT_DEFEND);
-			}
-		}
-		return; //Sago: Or the leader will make a counter order.
-	}
-
 	//passive strategy
 	if (!(bs->ctfstrategy & CTFS_AGRESSIVE)) {
 		//different orders based on the number of team mates
@@ -989,15 +844,6 @@ void BotCTFOrders(bot_state_t *bs) {
 	}
 }
 
-/*
-==================
-BotDDorders
-==================
-*/
-void BotDDorders(bot_state_t *bs) {
-	BotDDorders_Standard(bs);	
-}
-
 
 /*
 ==================
@@ -1090,7 +936,7 @@ void BotTeamOrders(bot_state_t *bs) {
 	}
 }
 
-//#ifdef MISSIONPACK
+#ifdef MISSIONPACK
 
 /*
 ==================
@@ -2043,7 +1889,7 @@ void BotHarvesterOrders(bot_state_t *bs)
 		}
 	}
 }
-//#endif
+#endif
 
 /*
 ==================
@@ -2076,8 +1922,6 @@ int FindHumanTeamLeader(bot_state_t *bs)
 	return qfalse;
 }
 
-int lastRoundNumber; //used to give new orders every round
-
 /*
 ==================
 BotTeamAI
@@ -2088,7 +1932,7 @@ void BotTeamAI(bot_state_t *bs) {
 	char netname[MAX_NETNAME];
 
 	//
-	if ( gametype < GT_TEAM || g_ffa_gt == 1 )
+	if ( gametype < GT_TEAM  )
 		return;
 	// make sure we've got a valid team leader
 	if (!BotValidTeamLeader(bs)) {
@@ -2148,16 +1992,14 @@ void BotTeamAI(bot_state_t *bs) {
 			break;
 		}
 		case GT_CTF:
-		case GT_CTF_ELIMINATION:
 		{
 			//if the number of team mates changed or the flag status changed
 			//or someone wants to know what to do
-			if (bs->numteammates != numteammates || bs->flagstatuschanged || bs->forceorders || lastRoundNumber != level.roundNumber) {
+			if (bs->numteammates != numteammates || bs->flagstatuschanged || bs->forceorders) {
 				bs->teamgiveorders_time = FloatTime();
 				bs->numteammates = numteammates;
 				bs->flagstatuschanged = qfalse;
 				bs->forceorders = qfalse;
-				lastRoundNumber = level.roundNumber;
 			}
 			//if there were no flag captures the last 3 minutes
 			if (bs->lastflagcapture_time < FloatTime() - 240) {
@@ -2176,25 +2018,7 @@ void BotTeamAI(bot_state_t *bs) {
 			}
 			break;
 		}
-		case GT_DOUBLE_D:
-		{
-			//if the number of team mates changed or the domination point status changed
-			//or someone wants to know what to do
-			if (bs->numteammates != numteammates || bs->flagstatuschanged || bs->forceorders) {
-				bs->teamgiveorders_time = FloatTime();
-				bs->numteammates = numteammates;
-				bs->flagstatuschanged = qfalse;
-				bs->forceorders = qfalse;
-			}
-			//if it's time to give orders
-			if (bs->teamgiveorders_time && bs->teamgiveorders_time < FloatTime() - 3) {
-				BotDDorders(bs);
-				//
-				bs->teamgiveorders_time = 0;
-			}
-			break;
-		}
-//#ifdef MISSIONPACK
+#ifdef MISSIONPACK
 		case GT_1FCTF:
 		{
 			if (bs->numteammates != numteammates || bs->flagstatuschanged || bs->forceorders) {
@@ -2250,7 +2074,7 @@ void BotTeamAI(bot_state_t *bs) {
 			}
 			break;
 		}
-//#endif
+#endif
 	}
 }
 
diff -upr ioquake3svn1438/code/game/ai_vcmd.c ioquake3serverFix/code/game/ai_vcmd.c
--- ioquake3svn1438/code/game/ai_vcmd.c	2008-06-22 03:28:44.000000000 -0500
+++ ioquake3serverFix/code/game/ai_vcmd.c	2008-08-09 11:28:21.000000000 -0500
@@ -71,16 +71,16 @@ BotVoiceChat_GetFlag
 */
 void BotVoiceChat_GetFlag(bot_state_t *bs, int client, int mode) {
 	//
-	if (gametype == GT_CTF || gametype == GT_CTF_ELIMINATION) {
+	if (gametype == GT_CTF) {
 		if (!ctf_redflag.areanum || !ctf_blueflag.areanum)
 			return;
 	}
-//#ifdef MISSIONPACK
+#ifdef MISSIONPACK
 	else if (gametype == GT_1FCTF) {
 		if (!ctf_neutralflag.areanum || !ctf_redflag.areanum || !ctf_blueflag.areanum)
 			return;
 	}
-//#endif
+#endif
 	else {
 		return;
 	}
@@ -95,7 +95,7 @@ void BotVoiceChat_GetFlag(bot_state_t *b
 	//set the team goal time
 	bs->teamgoal_time = FloatTime() + CTF_GETFLAG_TIME;
 	// get an alternate route in ctf
-	if (gametype == GT_CTF || gametype == GT_CTF_ELIMINATION) {
+	if (gametype == GT_CTF) {
 		//get an alternative route goal towards the enemy base
 		BotGetAlternateRouteGoal(bs, BotOppositeTeam(bs));
 	}
@@ -114,7 +114,7 @@ BotVoiceChat_Offense
 ==================
 */
 void BotVoiceChat_Offense(bot_state_t *bs, int client, int mode) {
-	if ( gametype == GT_CTF || gametype == GT_CTF_ELIMINATION
+	if ( gametype == GT_CTF
 #ifdef MISSIONPACK
 		|| gametype == GT_1FCTF
 #endif
@@ -181,7 +181,7 @@ void BotVoiceChat_Defend(bot_state_t *bs
 	}
 	else
 #endif
-		if (gametype == GT_CTF || gametype == GT_CTF_ELIMINATION
+		if (gametype == GT_CTF
 #ifdef MISSIONPACK
 			|| gametype == GT_1FCTF
 #endif
@@ -383,7 +383,7 @@ BotVoiceChat_ReturnFlag
 void BotVoiceChat_ReturnFlag(bot_state_t *bs, int client, int mode) {
 	//if not in CTF mode
 	if (
-		gametype != GT_CTF && gametype != GT_CTF_ELIMINATION
+		gametype != GT_CTF
 #ifdef MISSIONPACK
 		&& gametype != GT_1FCTF
 #endif
diff -upr ioquake3svn1438/code/game/bg_local.h ioquake3serverFix/code/game/bg_local.h
--- ioquake3svn1438/code/game/bg_local.h	2008-06-22 03:28:44.000000000 -0500
+++ ioquake3serverFix/code/game/bg_local.h	2008-08-09 11:28:21.000000000 -0500
@@ -73,10 +73,6 @@ extern	float	pm_flightfriction;
 
 extern	int		c_pmove;
 
-//Repeting airjumps/no bunny, elimination B5
-extern	int	pm_airjumps;
-extern	int	pm_nobunny;
-
 void PM_ClipVelocity( vec3_t in, vec3_t normal, vec3_t out, float overbounce );
 void PM_AddTouchEnt( int entityNum );
 void PM_AddEvent( int newEvent );
diff -upr ioquake3svn1438/code/game/bg_misc.c ioquake3serverFix/code/game/bg_misc.c
--- ioquake3svn1438/code/game/bg_misc.c	2008-06-22 03:28:44.000000000 -0500
+++ ioquake3serverFix/code/game/bg_misc.c	2008-08-09 11:28:21.000000000 -0500
@@ -702,7 +702,7 @@ Only in CTF games
 /* precache */ "",
 /* sounds */ ""
 	},
-#endif
+
 /*QUAKED ammo_nails (.3 .3 1) (-16 -16 -16) (16 16 16) suspended
 */
 	{
@@ -751,7 +751,6 @@ Only in CTF games
 /* sounds */ ""
 	},
 
-#ifdef MISSIONPACK
 	//
 	// PERSISTANT POWERUP ITEMS
 	//
@@ -819,8 +818,6 @@ Only in CTF games
 /* sounds */ ""
 	},
 
-#endif
-        
 	/*QUAKED team_CTF_neutralflag (0 0 1) (-16 -16 -16) (16 16 16)
 Only in One Flag CTF games
 */
@@ -917,162 +914,7 @@ Only in One Flag CTF games
 /* precache */ "",
 /* sounds */ "sound/weapons/vulcan/wvulwind.wav"
 	},
-//#endif
-
-/*QUAKED team_DD_point
-Only in DD games
-*/
-	{
-		"team_DD_pointAblue",
-		NULL,
-        { "models/dpoints/a_blue.md3",
-		NULL, NULL, NULL },
-/* icon */		"icons/icona_blue",
-/* pickup */	"Point A (Blue)",
-		0,
-		IT_TEAM,
-		DD_POINTABLUE,
-/* precache */ "",
-/* sounds */ ""
-	},
-
-/*QUAKED team_DD_point
-Only in DD games
-*/
-	{
-		"team_DD_pointBblue",
-		NULL,
-        { "models/dpoints/b_blue.md3",
-		NULL, NULL, NULL },
-/* icon */		"icons/iconb_blue",
-/* pickup */	"Point B (Blue)",
-		0,
-		IT_TEAM,
-		DD_POINTBBLUE,
-/* precache */ "",
-/* sounds */ ""
-	},
-
-/*QUAKED team_DD_point
-Only in DD games
-*/
-	{
-		"team_DD_pointAred",
-		NULL,
-        { "models/dpoints/a_red.md3",
-		NULL, NULL, NULL },
-/* icon */		"icons/icona_red",
-/* pickup */	"Point A (Red)",
-		0,
-		IT_TEAM,
-		DD_POINTARED,
-/* precache */ "",
-/* sounds */ ""
-	},
-
-/*QUAKED team_DD_point
-Only in DD games
-*/
-	{
-		"team_DD_pointBred",
-		NULL,
-        { "models/dpoints/b_red.md3",
-		NULL, NULL, NULL },
-/* icon */		"icons/iconb_red",
-/* pickup */	"Point B (Red)",
-		0,
-		IT_TEAM,
-		DD_POINTBRED,
-/* precache */ "",
-/* sounds */ ""
-	},
-
-/*QUAKED team_DD_point
-Only in DD games
-*/
-	{
-		"team_DD_pointAwhite",
-		NULL,
-        { "models/dpoints/a_white.md3",
-		NULL, NULL, NULL },
-/* icon */		"icons/icona_white",
-/* pickup */	"Point A (White)",
-		0,
-		IT_TEAM,
-		DD_POINTAWHITE,
-/* precache */ "",
-/* sounds */ ""
-	},
-
-/*QUAKED team_DD_point
-Only in DD games
-*/
-	{
-		"team_DD_pointBwhite",
-		NULL,
-        { "models/dpoints/b_white.md3",
-		NULL, NULL, NULL },
-/* icon */		"icons/iconb_white",
-/* pickup */	"Point B (White)",
-		0,
-		IT_TEAM,
-		DD_POINTBWHITE,
-/* precache */ "",
-/* sounds */ ""
-	},
-
-//Now things for standard domination:
-
-/*QUAKED 
-Only in Domination games
-*/
-	{
-		"team_dom_pointWhite",
-		NULL,
-        { "models/dpoints/a_white.md3",
-		NULL, NULL, NULL },
-/* icon */		"icons/icona_white",
-/* pickup */	"Neutral domination point",
-		0,
-		IT_TEAM,
-		DOM_POINTWHITE,
-/* precache */ "",
-/* sounds */ ""
-	},
-
-/*QUAKED 
-Only in Domination games
-*/
-	{
-		"team_dom_pointRed",
-		NULL,
-        { "models/dpoints/a_red.md3",
-		NULL, NULL, NULL },
-/* icon */		"icons/icona_red",
-/* pickup */	"Red domination point",
-		0,
-		IT_TEAM,
-		DOM_POINTRED,
-/* precache */ "",
-/* sounds */ ""
-	},
-
-/*QUAKED 
-Only in Domination games
-*/
-	{
-		"team_dom_pointBlue",
-		NULL,
-        { "models/dpoints/a_blue.md3",
-		NULL, NULL, NULL },
-/* icon */		"icons/icona_blue",
-/* pickup */	"Blue domination point",
-		0,
-		IT_TEAM,
-		DOM_POINTBLUE,
-/* precache */ "",
-/* sounds */ ""
-	},
+#endif
 
 	// end of list marker
 	{NULL}
@@ -1266,11 +1108,6 @@ qboolean BG_CanItemBeGrabbed( int gamety
 
 #ifdef MISSIONPACK
 	case IT_PERSISTANT_POWERUP:
-
-		//In Double D we don't want persistant Powerups (or maybe, can be discussed)
-		if(gametype == GT_DOUBLE_D)
-			return qfalse;
-
 		// can only hold one item at a time
 		if ( ps->stats[STAT_PERSISTANT_POWERUP] ) {
 			return qfalse;
@@ -1288,7 +1125,7 @@ qboolean BG_CanItemBeGrabbed( int gamety
 #endif
 
 	case IT_TEAM: // team items, such as flags
-//#ifdef MISSIONPACK		
+#ifdef MISSIONPACK		
 		if( gametype == GT_1FCTF ) {
 			// neutral flag can always be picked up
 			if( item->giTag == PW_NEUTRALFLAG ) {
@@ -1304,8 +1141,8 @@ qboolean BG_CanItemBeGrabbed( int gamety
 				}
 			}
 		}
-//#endif
-		if( gametype == GT_CTF || gametype == GT_CTF_ELIMINATION) {
+#endif
+		if( gametype == GT_CTF ) {
 			// ent->modelindex2 is non-zero on items if they are dropped
 			// we need to know this because we can pick up our dropped flag (and return it)
 			// but we can't pick up our flag at base
@@ -1322,24 +1159,6 @@ qboolean BG_CanItemBeGrabbed( int gamety
 			}
 		}
 
-		if( gametype == GT_DOUBLE_D) {
-			//We can touch both flags
-			if(item->giTag == PW_BLUEFLAG || item->giTag == PW_REDFLAG)
-				return qtrue;
-		}
-
-		if( gametype == GT_DOMINATION ) {
-			if(item->giTag == DOM_POINTWHITE)
-				return qtrue;
-			if (ps->persistant[PERS_TEAM] == TEAM_RED) {
-				if(item->giTag == DOM_POINTBLUE)
-					return qtrue;
-			} else if (ps->persistant[PERS_TEAM] == TEAM_BLUE) {
-				if(item->giTag == DOM_POINTRED)
-					return qtrue;
-			}
-		}
-
 #ifdef MISSIONPACK
 		if( gametype == GT_HARVESTER ) {
 			return qtrue;
@@ -1358,7 +1177,7 @@ qboolean BG_CanItemBeGrabbed( int gamety
             Com_Error( ERR_DROP, "BG_CanItemBeGrabbed: IT_BAD" );
         default:
 #ifndef Q3_VM
-#ifndef NDEBUG // bk0001204
+#ifndef NDEBUG
           Com_Printf("BG_CanItemBeGrabbed: unknown enum %d\n", item->giType );
 #endif
 #endif
diff -upr ioquake3svn1438/code/game/bg_pmove.c ioquake3serverFix/code/game/bg_pmove.c
--- ioquake3svn1438/code/game/bg_pmove.c	2008-06-22 03:28:44.000000000 -0500
+++ ioquake3serverFix/code/game/bg_pmove.c	2008-08-09 11:28:21.000000000 -0500
@@ -48,6 +48,7 @@ float	pm_spectatorfriction = 5.0f;
 
 int		c_pmove = 0;
 
+
 /*
 ===============
 PM_AddEvent
@@ -233,14 +234,11 @@ static void PM_Friction( void ) {
 ==============
 PM_Accelerate
 
-TODO: bunny hoping
-
 Handles user intended acceleration
 ==============
 */
 static void PM_Accelerate( vec3_t wishdir, float wishspeed, float accel ) {
 #if 1
-
 	// q2 style
 	int			i;
 	float		addspeed, accelspeed, currentspeed;
@@ -275,7 +273,6 @@ static void PM_Accelerate( vec3_t wishdi
 	}
 
 	VectorMA( pm->ps->velocity, canPush, pushDir, pm->ps->velocity );
-}
 #endif
 }
 
@@ -360,8 +357,6 @@ PM_CheckJump
 =============
 */
 static qboolean PM_CheckJump( void ) {
-
-
 	if ( pm->ps->pm_flags & PMF_RESPAWNED ) {
 		return qfalse;		// don't allow jump until all buttons are up
 	}
@@ -371,7 +366,6 @@ static qboolean PM_CheckJump( void ) {
 		return qfalse;
 	}
 
-
 	// must wait for jump to be released
 	if ( pm->ps->pm_flags & PMF_JUMP_HELD ) {
 		// clear upmove so cmdscale doesn't lower running speed
@@ -379,9 +373,6 @@ static qboolean PM_CheckJump( void ) {
 		return qfalse;
 	}
 
-	
-
-
 	pml.groundPlane = qfalse;		// jumping away
 	pml.walking = qfalse;
 	pm->ps->pm_flags |= PMF_JUMP_HELD;
@@ -1542,9 +1533,6 @@ static void PM_TorsoAnimation( void ) {
 PM_Weapon
 
 Generates weapon events and modifes the weapon counter
-
-Elimination TODO:
-Make this thing stop during warmup (done)
 ==============
 */
 static void PM_Weapon( void ) {
@@ -1556,7 +1544,7 @@ static void PM_Weapon( void ) {
 	}
 
 	// ignore if spectator
-	if ( pm->ps->persistant[PERS_TEAM] == TEAM_SPECTATOR || pm->ps->pm_type == PM_SPECTATOR) {
+	if ( pm->ps->persistant[PERS_TEAM] == TEAM_SPECTATOR ) {
 		return;
 	}
 
@@ -1647,8 +1635,8 @@ static void PM_Weapon( void ) {
 		return;
 	}
 
-	// take an ammo away if not infinite, 999 or up
-	if ( !(pm->ps->ammo[ pm->ps->weapon ] == -1 || pm->ps->ammo[ pm->ps->weapon ] >=999 )) {
+	// take an ammo away if not infinite
+	if ( pm->ps->ammo[ pm->ps->weapon ] != -1 ) {
 		pm->ps->ammo[ pm->ps->weapon ]--;
 	}
 
@@ -1687,7 +1675,7 @@ static void PM_Weapon( void ) {
 	case WP_GRAPPLING_HOOK:
 		addTime = 400;
 		break;
-//#ifdef MISSIONPACK
+#ifdef MISSIONPACK
 	case WP_NAILGUN:
 		addTime = 1000;
 		break;
@@ -1697,7 +1685,7 @@ static void PM_Weapon( void ) {
 	case WP_CHAINGUN:
 		addTime = 30;
 		break;
-//#endif
+#endif
 	}
 
 #ifdef MISSIONPACK
@@ -2012,7 +2000,6 @@ void PmoveSingle (pmove_t *pmove) {
 	PM_SetWaterLevel();
 
 	// weapons
-	if(!(pm->ps->pm_flags & PMF_ELIMWARMUP))
 	PM_Weapon();
 
 	// torso animation
diff -upr ioquake3svn1438/code/game/bg_public.h ioquake3serverFix/code/game/bg_public.h
--- ioquake3svn1438/code/game/bg_public.h	2008-06-22 03:28:44.000000000 -0500
+++ ioquake3serverFix/code/game/bg_public.h	2008-08-09 11:28:21.000000000 -0500
@@ -51,10 +51,6 @@ Foundation, Inc., 51 Franklin St, Fifth 
 #define CROUCH_VIEWHEIGHT	12
 #define	DEAD_VIEWHEIGHT		-16
 
-//Domination points
-#define MAX_DOMINATION_POINTS 6
-#define MAX_DOMINATION_POINTS_NAMES 20
-
 //
 // config strings are a general means of communicating variable length strings
 // from the server to all connected clients.
@@ -106,23 +102,11 @@ typedef enum {
 	//-- team games go after this --
 
 	GT_TEAM,			// team deathmatch
-
-	//-- team games that uses bases go after this
-
-	GT_CTF,				// capture the flag	
+	GT_CTF,				// capture the flag
 	GT_1FCTF,
 	GT_OBELISK,
-	GT_HARVESTER,	
-	
-	//-- custom game types, there will be a variable in 
-	
-	GT_ELIMINATION,			// team elimination (custom)
-	GT_CTF_ELIMINATION,		// ctf elimination
-	GT_LMS,				// Last man standing
-	GT_DOUBLE_D,			// Double Domination
-	GT_DOMINATION,			// Standard domination 12
+	GT_HARVESTER,
 	GT_MAX_GAME_TYPE
-	
 } gametype_t;
 
 typedef enum { GENDER_MALE, GENDER_FEMALE, GENDER_NEUTER } gender_t;
@@ -169,9 +153,6 @@ typedef enum {
 #define PMF_FOLLOW			4096	// spectate following another player
 #define PMF_SCOREBOARD		8192	// spectate as a scoreboard
 #define PMF_INVULEXPAND		16384	// invulnerability sphere set to full size
-//Elimination players cannot fire in warmup
-#define PMF_ELIMWARMUP		32768	//I hope this is more than 16 signed bits! (it's not but it just works anyway...)
-//Don't add anymore, I have already set the sign bit :-(
 
 #define	PMF_ALL_TIMES	(PMF_TIME_WATERJUMP|PMF_TIME_LAND|PMF_TIME_KNOCKBACK)
 
@@ -259,9 +240,9 @@ typedef enum {
 
 // entityState_t->eFlags
 #define	EF_DEAD				0x00000001		// don't draw a foe marker over players with EF_DEAD
-//#ifdef MISSIONPACK
+#ifdef MISSIONPACK
 #define EF_TICKING			0x00000002		// used to make players play the prox mine ticking sound
-//#endif
+#endif
 #define	EF_TELEPORT_BIT		0x00000004		// toggled every time the origin abruptly changes
 #define	EF_AWARD_EXCELLENT	0x00000008		// draw an excellent sprite
 #define EF_PLAYER_EVENT		0x00000010
@@ -319,25 +300,6 @@ typedef enum {
 	HI_NUM_HOLDABLE
 } holdable_t;
 
-typedef enum {
-	DD_NONE,
-
-	DD_POINTARED,
-	DD_POINTABLUE,
-	DD_POINTAWHITE,
-	DD_POINTBRED,
-	DD_POINTBBLUE,
-	DD_POINTBWHITE
-} doubled_t;
-
-typedef enum {
-	DOM_NONE,
-
-	DOM_POINTRED,
-	DOM_POINTBLUE,
-	DOM_POINTWHITE
-} domination_t;
-
 
 typedef enum {
 	WP_NONE,
@@ -352,11 +314,11 @@ typedef enum {
 	WP_PLASMAGUN,
 	WP_BFG,
 	WP_GRAPPLING_HOOK,
-//#ifdef MISSIONPACK
+#ifdef MISSIONPACK
 	WP_NAILGUN,
 	WP_PROX_LAUNCHER,
 	WP_CHAINGUN,
-//#endif
+#endif
 
 	WP_NUM_WEAPONS
 } weapon_t;
@@ -588,9 +550,6 @@ typedef enum {
 	TEAM_NUM_TEAMS
 } team_t;
 
-// This is a fair assumption for Double Domination:
-#define TEAM_NONE TEAM_SPECTATOR
-
 // Time between location updates
 #define TEAM_LOCATION_UPDATE_TIME		1000
 
@@ -634,13 +593,13 @@ typedef enum {
 	MOD_SUICIDE,
 	MOD_TARGET_LASER,
 	MOD_TRIGGER_HURT,
-//#ifdef MISSIONPACK
+#ifdef MISSIONPACK
 	MOD_NAIL,
 	MOD_CHAINGUN,
 	MOD_PROXIMITY_MINE,
 	MOD_KAMIKAZE,
 	MOD_JUICED,
-//#endif
+#endif
 	MOD_GRAPPLE
 } meansOfDeath_t;
 
@@ -777,4 +736,3 @@ qboolean	BG_PlayerTouchesItem( playerSta
 #define KAMI_BOOMSPHERE_MAXRADIUS		720
 #define KAMI_SHOCKWAVE2_MAXRADIUS		704
 
-
